Author Topic: M&B 1.143 vs. 1.153 and mod compatibility  (Read 6791 times)

0 Members and 1 Guest are viewing this topic.

Favre

  • Recruit
  • *
    • View Profile
M&B 1.143 vs. 1.153 and mod compatibility
« on: May 23, 2012, 02:24:23 AM »
Its been about a year since I've played MB but just had a hankering to play.

Few questions;

Now that Warband has gotten an update, are the 1.143 Mods still compatible with the the game updated to 1.153?

If not, is there a download link for 1.143 still around somewhere?

Also, how are Napoleon and Fire and Sword? I dont play multiplayer but I am considering buying these, just not sure if the changes are mainly focused on MP - because if So I probably won't benefit all that much.

Thanks!

Rallix

  • Grandmaster Knight
  • *
    • View Profile
  • Faction: Nord
  • MP nick: SF_Rallix
  • M&BWBWF&S
Re: M&B 1.143 vs. 1.153 and mod compatibility
« Reply #1 on: May 23, 2012, 03:55:15 AM »
Just for future reference, this sort of thing should be asked in the Guildhall board.
Also, you should read more before starting threads.

But to answer you, most 1.143 mods(especially the big ones) are not compatible with 1.153. If the mod-maker cares enough for the mod, he/she/they will update it to 1.153 once it has been confirmed that this version is the stable one to begin work with.

Napoleonic Wars is multiplayer only, and is very polished. With Fire and Sword is more singleplayer focused, but there is multiplayer. WFaS's quality has been questioned at times. It's like a step-brother to the Mount & Blade series.

Favre

  • Recruit
  • *
    • View Profile
Re: M&B 1.143 vs. 1.153 and mod compatibility
« Reply #2 on: May 23, 2012, 04:17:28 AM »
Noted and Thank You, I searched around and found answers about Napoleon and Fire and Sword, but I still haven't been able to find a download link for 1.143, or a base version and the 1.143 update,

any idea if there is one still around?

EDIT: Also I found literally 0 mods that are updated for 1.153, are there any? Your post seems to indicate that there are

Rallix

  • Grandmaster Knight
  • *
    • View Profile
  • Faction: Nord
  • MP nick: SF_Rallix
  • M&BWBWF&S
Re: M&B 1.143 vs. 1.153 and mod compatibility
« Reply #3 on: May 23, 2012, 04:44:37 PM »
Noted and Thank You, I searched around and found answers about Napoleon and Fire and Sword, but I still haven't been able to find a download link for 1.143, or a base version and the 1.143 update,

any idea if there is one still around?

EDIT: Also I found literally 0 mods that are updated for 1.153, are there any? Your post seems to indicate that there are
Modding is tough stuff, and time consuming. The patch only came out in the last two days. Very few, if any, mods have been updated to the new version. There is a way to find and download old versions, but I'll just put the download here.

Favre

  • Recruit
  • *
    • View Profile
Re: M&B 1.143 vs. 1.153 and mod compatibility
« Reply #4 on: May 23, 2012, 06:58:57 PM »
Thank you very much I searched high and low and couldn't find that link. Thanks!

(Also understand about modding, had no idea the update was only 2 days old)

Vornne

  • Grandmaster Knight
  • *
    • View Profile
  • Faction: Neutral
  • MP nick: Vornne
  • M&BWBNW
Re: M&B 1.143 vs. 1.153 and mod compatibility
« Reply #5 on: May 23, 2012, 08:37:34 PM »
Mods are not necessarily broken each time a new warband client is released: Persistent World, for example, works fine with 1.153; I can't think of any changes to module system behaviour comparing 1.143 to 1.153 that would break most native based mods, off the top of my head. The reason some major mods are broken with the latest release is they rely on the WSE, which is unofficial and not yet updated.